%define name		javacc
%define Name		JavaCC
%define version		2.1
%define cvs_version	2_1
%define release		5jpp
%define javadir		%{_datadir}/java
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Compiler Compiler
License:	Sun Binary Code License
Url:		http://www.webgain.com/products/java_cc
Group:		Development/Compilers
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{Name}%{cvs_version}.zip
Source1:	%{name}.jjdoc.script.bz2
Source2:	%{name}.jjtree.script.bz2
Source3:	%{name}.javacc.script.bz2
Source4:	%{name}.javaccw.script.bz2
NoSource:	0
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Java Compiler Compiler (JavaCC) is the most popular parser generator
for use with Java applications. A parser generator is a tool that reads
a grammar specification and converts it to a Java program that can
recognize matches to the grammar. In addition to the parser generator
itself, JavaCC provides other standard capabilities related to parser
generation such as tree building (via a tool called JJTree included with
JavaCC), actions, debugging, etc.

Caution, this package doesn't contain any non-distributable sources. You
have to download them and rebuild before use.

%package manual
Summary:	Manual for %{name}
Group:		Development/Compilers

%description manual
Documentation for %{name}.

%package demo
Summary:	Demo for %{name}
Group:		Development/Documentation
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
export CLASSPATH=$RPM_BUILD_DIR/%{name}-%{version}
java %{Name}%{cvs_version} -c <<EOF

Y
$RPM_BUILD_DIR/%{name}-%{version}
Y
EOF
%setup -T -D
bzcat %{SOURCE1} > jjdoc
bzcat %{SOURCE2} > jjtree
bzcat %{SOURCE3} > javacc
bzcat %{SOURCE4} > javaccw

%build
unzip bin/lib/%{Name}.zip
jar cvf %{name}.jar COM

%install
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 755 javacc javaccw jjtree jjdoc $RPM_BUILD_ROOT%{_bindir}
cp -r examples $RPM_BUILD_ROOT%{_datadir}/%{name}
# Provide a symlink for compatibility with ant tasks
(cd $RPM_BUILD_ROOT%{javadir} && ln -s %{name}-%{version}.jar %{Name}.zip)
# jar versioning
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README
%{_bindir}/*
%{javadir}/*

%files manual
%defattr(-,root,root)
%doc doc/*

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-5jpp
- corrected group

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-4jpp
- vendor, distribution, group tags
- updated scripts

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-3jpp 
- section macro
- used zip archive

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-2jpp
- no source package
- additional sources in individual archives
- no dependencies for manual package
- stricter dependency for demo package

* Tue Dec 18 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-1jpp
- even crappy distribution format can't resist JPackage fury :-)
